<?php

namespace Kahanit\TableRateShipping\Controller\Adminhtml\Index;

// inheritance
use Magento\Backend\App\Action;
// injection
use Magento\Backend\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;

class Index extends Action
{
    protected $resultPageFactory;

    public function __construct(
        Context $context,
        PageFactory $resultPageFactory
    )
    {
        $this->resultPageFactory = $resultPageFactory;

        parent::__construct($context);
    }

    public function execute()
    {
        $resultPage = $this->resultPageFactory->create();
        $resultPage->setActiveMenu('Kahanit_TableRateShipping::kahanit_tablerateshippingindex');
        $resultPage->getConfig()->getTitle()->prepend(__('Table Rate Shipping'));

        return $resultPage;
    }
}
